#include "../../../drv_common.h"


#if PRI_FORTSENSE_DRIVER_ALL_IN_ONE_CONFIG_1
#define SPI_INDEX spi5
#define FP_IRQ_PIN 10

#define FP_CS_AS_SPI PINMUX_GPIO47__FUNC_SPI5_CSB
#define FP_CK_AS_SPI PINMUX_GPIO46__FUNC_SPI5_CLK
#define FP_MI_AS_SPI PINMUX_GPIO49__FUNC_SPI5_MI
#define FP_MO_AS_SPI PINMUX_GPIO48__FUNC_SPI5_MO

#define FP_CS_AS_GPIO PINMUX_GPIO47__FUNC_GPIO47
#define FP_MI_AS_GPIO PINMUX_GPIO49__FUNC_GPIO49
#define FP_MO_AS_GPIO PINMUX_GPIO48__FUNC_GPIO48

#define FP_RST_AS_GPIO  PINMUX_GPIO105__FUNC_GPIO105
#define FP_INT_AS_GPIO  PINMUX_GPIO10__FUNC_GPIO10

#endif